<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorator="mob/common/layout/LoginLayoutMob">
<!--
 *******************************************************************************
 * @source  : DormantCertifyFormMob.html
 * @desc    : 휴면회원 본인인증 Page
 *============================================================================
 * STYLE24
 * Copyright(C) 2021 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.04.23   jsshin     최초 작성
 *******************************************************************************
 -->

<body>
<th:block layout:fragment="content">
<main class="container mb">
	<!-- ★ 컨텐츠 시작 -->
	<section class="content mb_idInquiry_6 dormant">
		<div class="inner">
			<div class="close">
				<a href="javascript:history.back();" class="btn_close"><span></span><span></span></a>
			</div>
		</div>
		<div class="inner">
			<h2 class="title">휴면회원 전환안내</h2>
		</div>
		<div class="inner">
			<div class="form_wrap form_full">
				<div class="form_head">
					<h3 class="title sr-only">휴면회원 전환안내</h3>
				</div>
				<div class="form_info">
					<span class="ico_content_dormant"></span>
					<p class="c_primary">최근 1년 이상 서비스를 이용하지 않아<br> 휴면회원으로 전환되었습니다.</p>
					<p class="t_info mt10">휴면회원계정 복원 후 정상 서비스 이용이 가능합니다.</p>
				</div>
				<div class="btn_group_block ui_row">
					<div class="ui_col_6">
						<button type="button" id="btnCellPhoneCertify" class="btn btn_default">
							<span><i class="ico ico_phone"></i>휴대폰인증</span>
						</button>
					</div>
					<div class="ui_col_6">
						<button type="button" id="btnIpinCertify" class="btn btn_default">
							<span><i class="ico ico_ipin"></i>아이핀인증</span>
						</button>
					</div>
				</div>
				<div class="form_summary clear">
					<strong>관련법령</strong>
					<p>
						정보통신망 이용촉진 및 정보보호 등에 관한 법률 제 29조 (개인정보의 파기) 2항 및 동법 시행령 제 16조에 의거하여 최근 1년 이상 서비스 및 이용 회원의 개인정보를 별도 분리·보관하고 있습니다.
					</p>
				</div>
			</div>
		</div>
	</section>
	<!-- ★ 컨텐츠 종료 -->
</main>
<script th:inline="javascript">
/*<![CDATA[*/
	const sEncData = [[${sEncData}]];   //인증 후 해당 페이지로 리다이렉트함
	const authMethod = [[${authMethod}]]; //인증 후 해당 페이지로 리다이렉트함

	// 나이스 본인인증 후 콜백
	var fnNiceCallBack = function(encData, authMethod) {
		if (!gagajf.isNull(encData)) {
			let custInfo = {};
			custInfo.encData = encData;
			custInfo.authMethod = authMethod;
			let jsonData = JSON.stringify(custInfo);
			gagajf.ajaxJsonSubmit('/customer/dormant/release', jsonData, fnRelaseCallback);
		}
	};

	var fnRelaseCallback = function (result) {
		if (result.isRelase) {
			cfnGoToPage(_PAGE_CUSTOMER_DORMANT_COMPLETE);
		} else {
			let msg = "휴면 해제 실패하였습니다. <br> 고객센터에 문의하시기 바랍니다.";
			if (result.errorType === 'DIFFERENT_CI') {
				msg = "등록된 본인인증 정보와 다릅니다. <br> 고객센터에 문의하시기 바랍니다.";
			}
			mcxDialog.alert(msg);
			return;
		}
	}

	$('#btnCellPhoneCertify').on('click', function () {
		cfnOpenCellphoneCertify(_PAGE_CUSTOMER_DORMANT, [[${custNo}]])
	});

	$('#btnIpinCertify').on('click', function () {
		cfnOpenIpinCertify(_PAGE_CUSTOMER_DORMANT, [[${custNo}]])
	});


	$(document).ready(function () {
		if (!gagajf.isNull(sEncData)) {
			fnNiceCallBack(sEncData, authMethod);
		}
	});

/*]]>*/
</script>
</th:block>
</body>
</html>